<template>
  <div>
    <h1 class="text-2xl text-green-500">{{ title }}</h1>
    <div class="flex flex-col">
      <div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8">
        <div class="py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8">
          <div
            class="shadow overflow-hidden border-b border-gray-200 sm:rounded-lg"
          >
            <table class="min-w-full divide-y divide-gray-200">
              <thead class="bg-gray-50">
                <tr>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider"
                  >
                    Name
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider"
                  >
                    Check in | check out
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider"
                  >
                    Break time
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider"
                  >
                    Location
                  </th>
                </tr>
                <tr v-for="turn in turnsTemplates" v-bind:key="turn.id">
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 tracking-wider"
                  >
                    {{ turn.name }}
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 tracking-wider"
                  >
                    {{ turn.checkIn }} | {{ turn.checkOut }}
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 tracking-wider"
                  >
                    {{ turn.breakTime }}
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 tracking-wider"
                  >
                    {{ turn.locationId }}
                  </th>
                </tr>
              </thead>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      title: 'Plantillas',
      users: [],
      turnsTemplates: [],
      locations: [],
    };
  },
  beforeMount() {
    this.getUsers();
    this.getTurnsTemplate();
    this.getLocations();
  },
  methods: {
    async getUsers() {
      const res = await fetch('http://localhost:3004/users');
      const data = await res.json();
      this.users = [...data];
    },
    async getTurnsTemplate() {
      const res = await fetch('http://localhost:3004/turnTemplates');
      const data = await res.json();
      this.turnsTemplates = [...data];
    },
    async getLocations() {
      const res = await fetch('http://localhost:3004/locations');
      const data = await res.json();
      this.locations = [...data];
    },
    getLocationsByTurns() {},
  },
};
</script>
